# Class CombinerParameter

java.lang.Object
uk.ac.starlink.task.Parameter<Combiner>
uk.ac.starlink.task.AbstractChoiceParameter<Combiner,Combiner>
uk.ac.starlink.task.ChoiceParameter<Combiner>
uk.ac.starlink.ttools.task.CombinerParameter

public class CombinerParameter extends uk.ac.starlink.task.ChoiceParameter<Combiner>
Parameter for specifying Combiner values. As well as the static options defined in the Combiner class, the "Q.nnn" syntax for specifying arbitrary quantiles is supported.

Since:
  16 May 2024
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`CombinerParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getOptionsDescription()`
Returns an XML element listing the possible options for this parameter with their descriptions.
`Combiner`
`stringToObject(uk.ac.starlink.task.Environment env, String sval)`

### Methods inherited from class uk.ac.starlink.task.ChoiceParameter

`getUsage, objectToString, setDefaultOption, setUsage`

### Methods inherited from class uk.ac.starlink.task.AbstractChoiceParameter

`addOption, addOption, choiceToString, clearOptions, getName, getOption, getOptionNames, getOptions, getOptionValueList, stringifyOption, stringToChoice`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getValueClass, isNullPermitted, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CombinerParameter

public CombinerParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### stringToObject

public Combiner stringToObject(uk.ac.starlink.task.Environment env, String sval) throws uk.ac.starlink.task.TaskException

Overrides:
  `stringToObject` in class `uk.ac.starlink.task.ChoiceParameter<Combiner>`
Throws:
  `uk.ac.starlink.task.TaskException`

### getOptionsDescription

public String getOptionsDescription()
Returns an XML element listing the possible options for this parameter with their descriptions.

Returns:
  options description in as a <ul> element